# =========================================================================
# Extlinux boot commands for
# Board: stmxceet-mp157-som
# =========================================================================
# Define boot command lines
#
# The following bootschemes are supported
# - boot from sdcard (BOOTPIN_0,2=1, BOOTPIN_1=0)
# - boot from nor (BOOTPIN_0=1, BOOTPIN_3,2=0)
#   When booting from nor u-boot variable 'boot_targets' select where to find
#   the bootfs with EXTLINUX configuration
#

# add targets to generate
UBOOT_EXTLINUX_TARGETS += "\
	stmxceet-mp157-som-mini_sdcard \
	stmxceet-mp157-som-mini_nor-emmc \
	stmxceet-mp157-som-mini_nor-nand \
"

# definitions for this target *_sdcard boot
UBOOT_EXTLINUX_BOOTPREFIXES_stmxceet-mp157-som-mini_sdcard    = "mmc0_stmxceet-mp157-som-mini_"
UBOOT_EXTLINUX_LABELS_stmxceet-mp157-som-mini_sdcard          = "stmxceet-mp157-som-mini-sdcard"
UBOOT_EXTLINUX_DEFAULT_LABEL_stmxceet-mp157-som-mini_sdcard   = "stmxceet-mp157-som-mini-sdcard"
UBOOT_EXTLINUX_FDT_stmxceet-mp157-som-mini-sdcard             = "/stmxceet-mp157-som-mini.dtb"
UBOOT_EXTLINUX_ROOT_stmxceet-mp157-som-mini-sdcard            = "root=/dev/mmcblk0p5"

# definitions for this target *_nor-emmc boot
UBOOT_EXTLINUX_BOOTPREFIXES_stmxceet-mp157-som-mini_nor-emmc  = "mmc1_stmxceet-mp157-som-mini_"
UBOOT_EXTLINUX_LABELS_stmxceet-mp157-som-mini_nor-emmc        = "stmxceet-mp157-som-mini-nor-emmc"
UBOOT_EXTLINUX_DEFAULT_LABEL_stmxceet-mp157-som-mini_nor-emmc = "stmxceet-mp157-som-mini-nor-emmc"
UBOOT_EXTLINUX_FDT_stmxceet-mp157-som-mini-nor-emmc           = "/stmxceet-mp157-som-mini.dtb"
UBOOT_EXTLINUX_ROOT_stmxceet-mp157-som-mini-nor-emmc          = "root=/dev/mmcblk1p2"

# definitions for this target *_nor-nand boot
UBOOT_EXTLINUX_BOOTPREFIXES_stmxceet-mp157-som-mini_nor-nand  = "ubifs0_stmxceet-mp157-som-mini_"
UBOOT_EXTLINUX_LABELS_stmxceet-mp157-som-mini_nor-nand        = "stmxceet-mp157-som-mini-nor-nand"
UBOOT_EXTLINUX_DEFAULT_LABEL_stmxceet-mp157-som-mini_nor-nand = "stmxceet-mp157-som-mini-nor-nand"
UBOOT_EXTLINUX_FDT_stmxceet-mp157-som-mini-nor-nand           = "/stmxceet-mp157-som-mini.dtb"
UBOOT_EXTLINUX_ROOT_stmxceet-mp157-som-mini-nor-nand          = "ubi.mtd=UBI rootfstype=ubifs root=ubi0:bootfs"
