# =========================================================================
# Extlinux boot commands for
# Board: stm32mp-t1000-mini
# =========================================================================
# Define boot command lines
#
# The following bootschemes are supported
# - boot from sdcard (BOOTPIN_0,2=1, BOOTPIN_1=0)
# - boot from nor (BOOTPIN_0=1, BOOTPIN_3,2=0)
#   When booting from nor u-boot variable 'boot_targets' select where to find
#   the bootfs with EXTLINUX configuration
#

# add targets to generate
UBOOT_EXTLINUX_TARGETS += "\
	stm32mp-t1000-default_sdcard \
	stm32mp-t1000-default_nor-emmc \
	stm32mp-t1000-default_nor-nand \
"

# definitions for this target *_sdcard boot
UBOOT_EXTLINUX_BOOTPREFIXES_stm32mp-t1000-default_sdcard    = "mmc0_stm32mp-t1000-default_"
UBOOT_EXTLINUX_LABELS_stm32mp-t1000-default_sdcard          = "stm32mp-t1000-default-sdcard"
UBOOT_EXTLINUX_DEFAULT_LABEL_stm32mp-t1000-default_sdcard   = "stm32mp-t1000-default-sdcard"
UBOOT_EXTLINUX_FDT_stm32mp-t1000-default-sdcard             = "/stm32mp-t1000-default.dtb"
UBOOT_EXTLINUX_ROOT_stm32mp-t1000-default-sdcard            = "root=/dev/mmcblk0p5"

# definitions for this target *_nor-emmc boot
UBOOT_EXTLINUX_BOOTPREFIXES_stm32mp-t1000-default_nor-emmc  = "mmc1_stm32mp-t1000-default_"
UBOOT_EXTLINUX_LABELS_stm32mp-t1000-default_nor-emmc        = "stm32mp-t1000-default-nor-emmc"
UBOOT_EXTLINUX_DEFAULT_LABEL_stm32mp-t1000-default_nor-emmc = "stm32mp-t1000-default-nor-emmc"
UBOOT_EXTLINUX_FDT_stm32mp-t1000-default-nor-emmc           = "/stm32mp-t1000-default.dtb"
UBOOT_EXTLINUX_ROOT_stm32mp-t1000-default-nor-emmc          = "root=/dev/mmcblk1p2"

# definitions for this target *_nor-nand boot
UBOOT_EXTLINUX_BOOTPREFIXES_stm32mp-t1000-default_nor-nand  = "ubifs0_stm32mp-t1000-default_"
UBOOT_EXTLINUX_LABELS_stm32mp-t1000-default_nor-nand        = "stm32mp-t1000-default-nor-nand"
UBOOT_EXTLINUX_DEFAULT_LABEL_stm32mp-t1000-default_nor-nand = "stm32mp-t1000-default-nor-nand"
UBOOT_EXTLINUX_FDT_stm32mp-t1000-default-nor-nand           = "/stm32mp-t1000-default.dtb"
UBOOT_EXTLINUX_ROOT_stm32mp-t1000-default-nor-nand          = "ubi.mtd=UBI rootfstype=ubifs root=ubi0:bootfs"
