/*
 * Copyright (C) 2015-2017, STMicroelectronics - All Rights Reserved
 *
 * SPDX-License-Identifier:	GPL-2.0+	BSD-3-Clause
 */

/* #define DEBUG */

#include <common.h>
#include <config.h>
#include "post.h"
#include "memalign.h"

/*
 * Get a global data pointer
 */
DECLARE_GLOBAL_DATA_PTR;

#ifdef CONFIG_SPL_BUILD
int post_log(char *format, ...)
{
	va_list args;

	va_start(args, format);
	vprintf(format, args);
	va_end(args);
	return 0;
}
#endif

int post_hotkeys_pressed(void)
{
#ifdef DEBUG
	printf("\n%s: warning FORCE SLOW test\n", __func__);
	return 1; /* 1 = FORCE SLOW test */
#else
	printf(
	       "\n%s: TODO : read GPIO/KEY to start slow test only if pressed\n",
	       __func__);
	return 0;
#endif
}

int arch_memory_test_prepare(u32 *vstart, u32 *size, phys_addr_t *phys_offset)
{
#if (!defined(CONFIG_STM32MP1_TRUSTED) && !defined(CONFIG_SPL)) || \
	defined(CONFIG_SPL_BUILD)
	*vstart = STM32_DDR_BASE;
	*size = gd->ram_size;
#else
	/* POST MEMORY test done before reallocation */
	/* MTEST2 CMD test done after reallocation */
	*vstart = STM32_DDR_BASE + SZ_16M;
	*size = gd->ram_size - (*vstart - STM32_DDR_BASE) - SZ_2M -
		CONFIG_SYS_MALLOC_LEN;
#endif

	debug("%s: 0x%08X %d KB\n", __func__, *vstart, *size / 1024);
	return 0;
}
