# Use settings from simple console image
require image-stm32mp-console.bb

# Supported DISTRO_FEATURES:
#  - gstreamer
#  - wayland

SUMMARY = "A Qt image either with eglfs or wayland backend"
LICENSE = "MIT"

# Basic Qt packages
IMAGE_QT_BASE = ""

# Wayland extensions
IMAGE_QT_WAYLAND = "\
    weston \
    weston-init \
    qtwayland \
    qtwayland-plugins \
    "

IMAGE_QT_WAYLAND_EXAMPLES = "\
    weston-examples \
    qtwayland-examples \
    "

# Webengine demo webengine-vk
IMAGE_QT_DEMO_WEBENGINE = "\
    webengine-vk \
    qtsvg \
    "

# Exceet demo
IMAGE_QT_DEMO_EXCEET = "\
    exceet-demo \
    exceet-demo-slideshow \
    qtmultimedia \
    qtmultimedia-qmlplugins \
    "
#exceet-demo-video

# Demo applications
IMAGE_QT_DEMOS = "\
    ${IMAGE_QT_DEMO_WEBENGINE} \
    ${IMAGE_QT_DEMO_EXCEET} \
    animatedtiles \
    cinematicexperience \
    "

########################################
##### Additional Qt PACKAGES ###########
########################################
IMAGE_INSTALL_append += "\
    ${IMAGE_QT_BASE} \
    ${IMAGE_QT_DEMOS} \
    ${@bb.utils.contains('DISTRO_FEATURES', 'gstreamer', 'packagegroup-gstreamer1-0', '', d)} \
    ${@bb.utils.contains('DISTRO_FEATURES', 'wayland', '${IMAGE_QT_WAYLAND}', '', d)} \
    ${@bb.utils.contains('DISTRO_FEATURES', 'wayland', '', 'autostart-eglfs', d)} \
    "
