FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"

# QSPI related patches (applies until #12)
NOT_YET_PORTED_SRC_URI_append = " \
    file://patches/0001-mtd-Add-sanity-checks-in-mtd_write-read_oob.patch \
    file://patches/0002-mtd-mtdpart-Make-ECC-stat-handling-consistent.patch \
    file://patches/0003-mtd-Fallback-to-_read-write_oob-when-_read-write-is-.patch \
    file://patches/0004-spi-Check-presence-the-of-transfer-_xxx-before-regis.patch \
    file://patches/0005-spi-Expose-spi_-map-unmap-_buf-for-internal-use.patch \
    file://patches/0006-spi-Add-an-helper-to-flush-the-message-queue.patch \
    file://patches/0007-spi-Extend-the-core-to-ease-integration-of-SPI-memor.patch \
    file://patches/0008-spi-Make-support-for-regular-transfers-optional-when.patch \
    file://patches/0009-spi-bcm-qspi-Implement-the-spi_mem-interface.patch \
    file://patches/0010-spi-bcm53xx-Implement-the-spi_mem-interface.patch \
    file://patches/0011-spi-ti-qspi-Implement-the-spi_mem-interface.patch \
    file://patches/0012-mtd-spi-nor-Use-the-spi_mem_xx-API.patch \
    file://patches/0013-spi-Get-rid-of-the-spi_flash_read-API.patch \
    file://patches/0014-mtd-nand-move-raw-NAND-related-code-to-the-raw-subdi.patch \
    file://patches/0015-mtd-nand-Add-core-infrastructure-to-deal-with-NAND-d.patch \
    file://patches/0016-mtd-nand-Pass-mode-information-to-nand_page_io_req.patch \
    file://patches/0017-mtd-nand-Add-core-infrastructure-to-support-SPI-NAND.patch \
    file://patches/0018-dt-bindings-Add-bindings-for-SPI-NAND-devices.patch \
    file://patches/0019-mtd-nand-spi-Add-initial-support-for-Micron-MT29F2G0.patch \
    file://patches/0020-mtd-nand-spi-Add-initial-support-for-Winbond-W25M02G.patch \
    file://patches/0021-spi-create-spi-mem-based-driver-for-stm32-QSPI.patch \
    file://patches/0022-fixup-spi-create-spi-mem-based-driver-for-stm32-QSPI.patch \
    file://patches/0023-mtd-nand-spi-Add-initial-support-for-Toshiba-TC58CVG.patch \
    file://patches/0024-fixup-mtd-nand-Add-core-infrastructure-to-support-SP.patch \
    "

# common patches
SRC_URI_append += " \
    file://patches/0001-fix-add-CAD-definition-files.patch \
    file://patches/0025-mtd-spi-nor-Add-support-for-Macronix-MX25V8035F.patch \
    file://patches/0026-drm-panel-simple-Add-support-for-Admatec-T043C004800.patch \
    file://patches/0027-add-SPI-NOR-mx25r1635f.patch \
    file://patches/0002-linux-stm32mp-disable-spidev-warning-message.patch \
    file://patches/0001-drm-panel-simple-Add-support-for-Admatec-T070P133T0S.patch \
	"

# add devicetree configuration for board
SRC_URI_append += " \
    file://stmxceet-mp157-som.dts \
    file://stm32mp157c-t1000-mx.dts \
    file://stm32mp-som-t1000.dtsi \
    "

# add board mini
SRC_URI_append += " \
    file://stm32mp-t1000-mini.dts \
    file://stm32mp157c-t1000-mini-mx.dts \
    file://stm32mp-board-mini.dtsi \
    "

# add board s-*
SRC_URI_append += " \
    file://stm32mp-t1000-s.dts \
    file://stm32mp157c-t1000-s-mx.dts \
    file://stm32mp-board-s.dtsi \
    file://stm32mp-housing-43.dtsi \
    file://stm32mp-t1000-s-43.dts \
    file://stm32mp-housing-50.dtsi \
    file://stm32mp-t1000-s-50.dts \
    "


# add kernel config patches
SRC_URI_append += " \
    file://4.14/fragment-01-config-gz.config;subdir=fragments \
    file://4.14/fragment-02-pca953x.config;subdir=fragments \
    file://4.14/fragment-03-vcnl4000.config;subdir=fragments \
    file://4.14/fragment-04-spinand.config;subdir=fragments \
    file://4.14/fragment-05-cpufreq.config;subdir=fragments \
    file://4.14/fragment-06-fbdev-emulation.config;subdir=fragments \
    file://4.14/fragment-07-wlan-marvell.config;subdir=fragments \
    file://4.14/fragment-08-pwm-beeper.config;subdir=fragments \
    "

# This should work if you want to use a defconfig file, but is not tested yet!
# Simply mentionning 'defconfig' isn't sufficient any more!
#SRC_URI += "file://defconfig"
#KERNEL_EXTERNAL_DEFCONFIG = defconfig
KERNEL_CONFIG_FRAGMENTS += " \
    ${WORKDIR}/fragments/4.14/fragment-01-config-gz.config \
    ${WORKDIR}/fragments/4.14/fragment-02-pca953x.config \
    ${WORKDIR}/fragments/4.14/fragment-03-vcnl4000.config \
    ${WORKDIR}/fragments/4.14/fragment-04-spinand.config \
    ${WORKDIR}/fragments/4.14/fragment-05-cpufreq.config \
    ${WORKDIR}/fragments/4.14/fragment-06-fbdev-emulation.config \
    ${WORKDIR}/fragments/4.14/fragment-07-wlan-marvell.config \
    ${WORKDIR}/fragments/4.14/fragment-08-pwm-beeper.config \
    "

do_configure_prepend() {
    echo "Sourcecode location is: ${S}"
    for dtsfile in $(find ${WORKDIR} -maxdepth 1 -name "*.dts" -o -name "*.dtsi"); do
        mkdir -p ${S}/arch/arm/boot/dts
        echo "Copy file $dtsfile to dts directory"
        cp ${dtsfile} ${S}/arch/arm/boot/dts/$(basename ${dtsfile})
    done

    #cp ${WORKDIR}/stmxceet-*_ddr.h ${S}/arch/arm/dts
}

